FLAGS = -std=c++0x -O2 -g -Wall -fmessage-length=0 -Wreorder -Wwrite-strings -Wsign-compare

EXEC = Main

OBJS = GSAT/GSAT.o GSAT/ArrayFiller.o GSAT/CFormula.o

LIBS = 

TARGET = GSATSolver

$(TARGET):	$(OBJS)
	mpic++ -o $(TARGET) $(EXEC).cpp $(FLAGS) $(OBJS) $(LIBS)

all: $(TARGET)

clean:
	rm -f $(OBJS) $(TARGET)
	rm -rf *.*~
	rm -rf *~

run: 
	@mpirun -n 4 ./GSATSolver -i ../../benchmarks/uf150/uf150-099.cnf